> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a report

> Generate a specific report for the authenticated user, using the specific report parameters and output format



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/reports/report
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/reports/report:
    post:
      tags:
        - Reports
      summary: Generate a report
      description: >-
        Generate a specific report for the authenticated user, using the
        specific report parameters and output format
      operationId: postReport
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ReportParamV5PostData'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloudStorageRetValV5'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    ReportParamV5PostData:
      required:
        - name
        - params
      type: object
      properties:
        name:
          type: string
          description: Name of the specific report to be generated
          example: profitAndLoss
          enum:
            - profitAndLoss
            - revenuesByBusiness
            - revenuesByClient
            - revenueList
            - personalRevenues
            - expensesByBusiness
            - expensesByCategory
            - expensesByClient
            - expensesByVendor
            - expenseList
            - personalExpensesByCategory
            - personalExpensesByVendor
            - recurringVendors
            - agedAccountsReceivable
            - agedAccountsPayable
            - balanceSheet
            - cashFlowStatement
            - trialBalance
            - scheduleC
            - t2125
            - form1065
            - form1120S
            - form1120
        params:
          $ref: '#/components/schemas/ReportParamSample'
        exportType:
          type: string
          description: Export type for the report, defaults to HTML
          example: PDF
          enum:
            - HTML
            - PDF
            - XLS
            - JSON
            - XLSX
            - CSV
            - LLM
        emails:
          type: array
          description: >-
            List of emails to which to send the report. Only valid for PDF and
            XLSX exportTypes.
          items:
            type: string
            description: >-
              List of emails to which to send the report. Only valid for PDF and
              XLSX exportTypes.
        date:
          type: string
          description: >-
            Date the report was generated on (displayed in the footer of the PDF
            report)
          format: date-time
      description: Parameters for the report v5 endpoint
      xml:
        name: ReportParamV5
    CloudStorageRetValV5:
      type: object
      properties:
        url:
          type: string
        fileName:
          type: string
        result:
          type: string
          enum:
            - SUCCESS
            - FAILURE_CLOUDSTORAGE_NOT_SETUP
            - FAILURE_UPLOAD_ERROR
            - MASTER_SUCCESS_PERSONAL_FAILURE_UPLOAD_ERROR
            - FAILURE_NO_DATA
            - FAILURE_TOKEN_INVALIDATED
            - FAILURE_EMAIL_TOKEN_INVALIDATED
            - FAILURE_UNKNOWN_ERROR
            - FAILURE_USER_OVER_QUOTA
            - FAILURE_VALIDATION_ERROR
        htmlReport:
          type: string
        jsonReport:
          type: object
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        cloudStorageResult:
          type: string
          writeOnly: true
          enum:
            - SUCCESS
            - FAILURE_CLOUDSTORAGE_NOT_SETUP
            - FAILURE_UPLOAD_ERROR
            - MASTER_SUCCESS_PERSONAL_FAILURE_UPLOAD_ERROR
            - FAILURE_NO_DATA
            - FAILURE_TOKEN_INVALIDATED
            - FAILURE_EMAIL_TOKEN_INVALIDATED
            - FAILURE_UNKNOWN_ERROR
            - FAILURE_USER_OVER_QUOTA
            - FAILURE_VALIDATION_ERROR
    ReportParamSample:
      required:
        - endDate
      type: object
      properties:
        beginDate:
          type: string
          description: Begin date for the report
          format: date
          example: '2021-01-01'
        endDate:
          type: string
          description: End date for the report
          format: date
          example: '2021-12-31'
        businessIds:
          type: array
          description: List of businesses to include in this report
          items:
            type: integer
            description: List of businesses to include in this report
            format: int64
        clientIds:
          type: array
          description: List of clients to include in this report
          items:
            type: integer
            description: List of clients to include in this report
            format: int64
      xml:
        name: ReportParamSample
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````